Bug 1465088 - Service template provisioning request do not honour quotas
Service template provisioning request do not honour quotas
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate (Show other bugs)
5.7.0
Unspecified Unspecified
medium Severity high
: GA
: 5.7.4
Assigned To: William Fitzgerald
Aziza Karol
quota:service
: ZStream
Depends On: 1455844
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-26 11:49 EDT by Satoe Imaishi
Modified: 2017-12-18 15:26 EST (History)
9 users (show)

See Also:
Fixed In Version: 5.7.4.0
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1455844
Environment:
Last Closed: 2017-12-18 15:26:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: CFME Core


Attachments (Terms of Use)

  None (edit)
Comment 2 CFME Bot 2017-06-30 18:01:01 EDT
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/be1febba336d189aef2437b5e003553e476e3332

commit be1febba336d189aef2437b5e003553e476e3332
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Wed Jun 21 15:07:27 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Jun 30 17:58:21 2017 -0400

    Merge pull request #128 from billfitzgerald0120/requested_number_of_vms
    
    Fixed quota calculations for multiple vms in requested method.
    (cherry picked from commit 85dd4414d6d6c4a8bc3b726bac5625974c7caad3)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1465088

 .../QuotaMethods.class/__methods__/requested.rb    | 33 +++++++++++-----------
 .../method_validation/calculate_requested_spec.rb  | 18 ++++++++++++
 2 files changed, 35 insertions(+), 16 deletions(-)
Comment 3 Aziza Karol 2017-10-04 07:59:07 EDT
Created service that that don't use dialog overrides and its working properly.Request shows quota exceeded messages when number of vm's specified is more than 1 in the catalog items.

Verified:5.7.4.0.20170913182424_63a1e18


This fix resolves the issue when the number of vms specified in the catalog item is greater than 1 but it does not resolve the dialog override issue.
This dialog override issue is tracked in bz https://bugzilla.redhat.com/show_bug.cgi?id=1497912
Comment 6 errata-xmlrpc 2017-12-18 15:26:17 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3484

Note You need to log in before you can comment on or make changes to this bug.